use prod_ln_scene;
#创建集合
db.createCollection("AdamAddressesVo");
db.createCollection("AdamCollectBaseVo");
db.createCollection("AdamDisposedBaseVo");
db.createCollection("AdamEntersVo");
db.createCollection("AdamMemberCodeVo");
db.createCollection("AdamMemberOrderVo");
db.createCollection("AdamMemberPriceVo");
db.createCollection("AdamMemberVo");
db.createCollection("AdamRealInfoVo");
db.createCollection("AdamThirdPartInfoVo");
db.createCollection("AdamUserInfoVo");
db.createCollection("AdamUserMemberVo");

#创建索引
db.AdamAddressesVo.createIndex({uid:"hashed"});
db.AdamAddressesVo.createIndex({state:"hashed"});
db.AdamCollectBaseVo.createIndex({uid:"hashed"});
db.AdamCollectBaseVo.createIndex({state:"hashed"});
db.AdamCollectBaseVo.createIndex({contentId:"hashed"});
db.AdamDisposedBaseVo.createIndex({uid:"hashed"});
db.AdamDisposedBaseVo.createIndex({state:"hashed"});
db.AdamDisposedBaseVo.createIndex({contentId:"hashed"});
db.AdamEntersVo.createIndex({uid:"hashed"});
db.AdamEntersVo.createIndex({state:"hashed"});
db.AdamMemberCodeVo.createIndex({code:"hashed"});
db.AdamMemberCodeVo.createIndex({state:"hashed"});
db.AdamMemberOrderVo.createIndex({orderNo:"hashed"});
db.AdamMemberOrderVo.createIndex({state:"hashed"});
db.AdamMemberOrderVo.createIndex({uid:"hashed"});
db.AdamMemberOrderVo.createIndex({payNo:"hashed"});
db.AdamMemberOrderVo.createIndex({memberId:"hashed"});
db.AdamMemberOrderVo.createIndex({memberPriceId:"hashed"});
db.AdamMemberPriceVo.createIndex({memberPriceId:"hashed"});
db.AdamMemberPriceVo.createIndex({memberId:"hashed"});
db.AdamMemberPriceVo.createIndex({state:"hashed"});
db.AdamMemberVo.createIndex({memberId:"hashed"});
db.AdamMemberVo.createIndex({state:"hashed"});
db.AdamRealInfoVo.createIndex({uid:"hashed"});
db.AdamRealInfoVo.createIndex({state:"hashed"});
db.AdamRealInfoVo.createIndex({type:"hashed"});
db.AdamThirdPartInfoVo.createIndex({uid:"hashed"});
db.AdamThirdPartInfoVo.createIndex({state:"hashed"});
db.AdamThirdPartInfoVo.createIndex({platform:"hashed"});
db.AdamThirdPartInfoVo.createIndex({openId:"hashed"});
db.AdamUserInfoVo.createIndex({uid:"hashed"});
db.AdamUserInfoVo.createIndex({state:"hashed"});
db.AdamUserInfoVo.createIndex({mobile:"hashed"});
db.AdamUserMemberVo.createIndex({uid:"hashed"});
db.AdamUserMemberVo.createIndex({state:"hashed"});
db.AdamUserMemberVo.createIndex({memberNo:"hashed"});


#创建分片
sh.enableSharding("prod_ln_scene");

sh.shardCollection("prod_ln_scene.AdamAddressesVo",{"uid":"hashed"});
sh.shardCollection("prod_ln_scene.AdamCollectBaseVo",{"uid":"hashed"});
sh.shardCollection("prod_ln_scene.AdamDisposedBaseVo",{"uid":"hashed"});
sh.shardCollection("prod_ln_scene.AdamEntersVo",{"uid":"hashed"});
sh.shardCollection("prod_ln_scene.AdamMemberCodeVo",{"code":"hashed"});
sh.shardCollection("prod_ln_scene.AdamMemberOrderVo",{"orderNo":"hashed"});
sh.shardCollection("prod_ln_scene.AdamMemberPriceVo",{"memberPriceId":"hashed"});
sh.shardCollection("prod_ln_scene.AdamMemberVo",{"memberId":"hashed"});
sh.shardCollection("prod_ln_scene.AdamRealInfoVo",{"uid":"hashed"});
sh.shardCollection("prod_ln_scene.AdamThirdPartInfoVo",{"uid":"hashed"});
sh.shardCollection("prod_ln_scene.AdamUserInfoVo",{"uid":"hashed"});
sh.shardCollection("prod_ln_scene.AdamUserMemberVo",{"uid":"hashed"});